#pragma once

// CInfoItemWnd
class CInfoItemWnd 
{

public:
	CInfoItemWnd();
	virtual ~CInfoItemWnd();
public:
	// attribute
	CString							m_strName;
	BOOL							m_bNameShow;
	WCHAR							m_wszFontName[64];
	REAL							m_nNameFontHeight;
	FontStyle						m_fontStyleName;	

	CString							m_strURL;
	int								m_nCount;
	CRect                           m_rclient;

	void							SetItemName(CString strName)		{ m_strName = strName; }
	CString							GetItemName()						{ return m_strName; }

	void							SetNameShow(BOOL bShow)				{ m_bNameShow = bShow; }
	BOOL							GetNameShow()						{ return m_bNameShow; }
	void							SetClientRect(CRect rc)				{ m_rclient = rc; }
	CRect							GetClientRect()		                { return m_rclient; }

	void							SetFontConfig(WCHAR* wszName, REAL nFontHeight, FontStyle style);

	void							SetItemCount(int nCount);
	int								GetItemCount();
	void							SetItemURL(CString strURL)			{ m_strURL = strURL; }
	CString							GetItemURL()						{ return m_strURL; }	

protected:
	void DisplayNoteCounts( Graphics* pGraph, CRect rtPS, ImageAttributes* pImgAttr );

	CCriticalSection				m_csSetItemCount;

public:
	BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);	
};
